org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfBookmark

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfBookmark

    public class RtfBookmark
    extends RtfElement

RTF Bookmark. Create an RTF bookmark as a child of given container with default attributes. This class belongs to the "id" attribute processing.

This work was authored by Andreas Putz (a.putz@skynamics.com).

### Field Summary

Fields
`static int` `MAX_BOOKMARK_LENGTH` Word 2000 supports a length of 40 characters only
`static char` `REPLACE_CHARACTER` Word 2000 converts '.' in bookmarks to "_", thats why we control this replacement.

### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`attrib, parent, writer`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isEmpty()`
`void` `writeRtfContent()` Writes the RTF content to m_writer.
`void` `writeRtfPrefix()` Is called before writing the Rtf content.
`void` `writeRtfSuffix()` Is called after writing the Rtf content.

### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

`close, getParentOfClass, getRtfAttributes, newLine, okToWriteRtf, toString, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeStarControlWord, writeStarControlWordNS`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MAX_BOOKMARK_LENGTH

    public static final int MAX_BOOKMARK_LENGTH

Word 2000 supports a length of 40 characters only

See Also:
  Constant Field Values

#### REPLACE_CHARACTER

    public static final char REPLACE_CHARACTER

Word 2000 converts '.' in bookmarks to "_", thats why we control this replacement.

See Also:
  Constant Field Values

### Method Detail

#### writeRtfPrefix

    public void writeRtfPrefix()
                        throws IOException

Is called before writing the Rtf content.

Overrides:
  `writeRtfPrefix` in class `RtfElement`
Throws:
  `IOException` - On Error

#### writeRtfContent

    public void writeRtfContent()
                         throws IOException

Writes the RTF content to m_writer.

Specified by:
  `writeRtfContent` in class `RtfElement`
Throws:
  `IOException` - On error

#### writeRtfSuffix

    public void writeRtfSuffix()
                        throws IOException

Is called after writing the Rtf content.

Overrides:
  `writeRtfSuffix` in class `RtfElement`
Throws:
  `IOException` - On Error

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in class `RtfElement`
Returns:
  true if this element would generate no "useful" RTF content